|  | overview |  | wiki |  | api reference |  | download

- Main Page
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Functions Variables Typedefs Enumerations Enumerator
Protected Member Functions
gameplay::PhysicsFixedConstraint Class Reference

`#include <PhysicsFixedConstraint.h>`

Inheritance diagram for gameplay::PhysicsFixedConstraint:

List of all members.

## Protected Member Functions

| PhysicsFixedConstraint (PhysicsRigidBody *a, PhysicsRigidBody *b)
| ~PhysicsFixedConstraint ()
void | setAngularLowerLimit (const Vector3 &limit)
void | setAngularUpperLimit (const Vector3 &limit)
void | setLinearLowerLimit (const Vector3 &limit)
void | setLinearUpperLimit (const Vector3 &limit)

## Detailed Description

Defines a constraint where two rigid bodies (or one rigid body and the world) are bound together.

This is similar in concept to parenting one node to another, but can be used in specific situations for a more appropriate effect Ex. for implementing sticky projectiles, etc.

See also:
  http://gameplay3d.github.io/GamePlay/docs/file-formats.html#wiki-Constraints

## Constructor & Destructor Documentation

gameplay::PhysicsFixedConstraint::PhysicsFixedConstraint | ( | PhysicsRigidBody * | a,
|  | PhysicsRigidBody * | b
| ) |  | `[protected]`

See also:
  PhysicsGenericConstraint

gameplay::PhysicsFixedConstraint::~PhysicsFixedConstraint | ( |  | ) | `[protected]`

Destructor.

## Member Function Documentation

void gameplay::PhysicsFixedConstraint::setAngularLowerLimit | ( | const Vector3 & | limit | ) | `[inline, protected]`

Protected to prevent usage.

Reimplemented from gameplay::PhysicsGenericConstraint.

void gameplay::PhysicsFixedConstraint::setAngularUpperLimit | ( | const Vector3 & | limit | ) | `[inline, protected]`

Protected to prevent usage.

Reimplemented from gameplay::PhysicsGenericConstraint.

void gameplay::PhysicsFixedConstraint::setLinearLowerLimit | ( | const Vector3 & | limit | ) | `[inline, protected]`

Protected to prevent usage.

Reimplemented from gameplay::PhysicsGenericConstraint.

void gameplay::PhysicsFixedConstraint::setLinearUpperLimit | ( | const Vector3 & | limit | ) | `[inline, protected]`

Protected to prevent usage.

Reimplemented from gameplay::PhysicsGenericConstraint.

All Classes Functions Variables Typedefs Enumerations Enumerator